## ----include = FALSE----------------------------------------------------------
knitr::opts_chunk$set(
  prompt = TRUE,
  comment = NA
)
options(digits=4)

## -----------------------------------------------------------------------------
library(limpa)
set.seed(20241230)
y.peptide <- simProteinDataSet()

## -----------------------------------------------------------------------------
dim(y.peptide)
head(y.peptide$genes)
table(y.peptide$targets$Group)
mean(is.na(y.peptide$E))

## -----------------------------------------------------------------------------
dpcfit <- dpc(y.peptide)
dpcfit$dpc
plotDPC(dpcfit)

## -----------------------------------------------------------------------------
y.protein <- dpcQuant(y.peptide, "Protein", dpc=dpcfit)
plotMDS(y.protein)

## -----------------------------------------------------------------------------
Group <- factor(y.peptide$targets$Group)
design <- model.matrix(~Group)
fit <- dpcDE(y.protein, design, plot=TRUE)
fit <- eBayes(fit)
topTable(fit, coef=2)

## -----------------------------------------------------------------------------
sessionInfo()

